package sun.net.www.protocol.https;

import javax.net.ssl.HostnameVerifier;
import javax.net.ssl.SSLSocketFactory;
import java.net.Proxy;
import java.io.IOException;
import sun.net.www.protocol.http.Handler;
import java.net.URL;
import javax.net.ssl.HttpsURLConnection;

public class DelegateHttpsURLConnection extends AbstractDelegateHttpsURLConnection
{
    public HttpsURLConnection httpsURLConnection;
    
    DelegateHttpsURLConnection(URL url, Handler handler, HttpsURLConnection httpsURLConnection) throws IOException {
        this(url, null, handler, httpsURLConnection);
    }
    
    DelegateHttpsURLConnection(URL url, Proxy proxy, Handler handler, HttpsURLConnection httpsURLConnection) throws IOException {
        super(url, proxy, handler);
        this.httpsURLConnection = httpsURLConnection;
    }
    
    @Override
    protected SSLSocketFactory getSSLSocketFactory() {
        return this.httpsURLConnection.getSSLSocketFactory();
    }
    
    @Override
    protected HostnameVerifier getHostnameVerifier() {
        return this.httpsURLConnection.getHostnameVerifier();
    }
    
    protected void dispose() throws Throwable {
        super.finalize();
    }
}
